## twill 0.9

=== doc/Makefile ===
all: index.html commands.html developer.html python-api.html testing.html \
     other.html browsing.html examples.html problems.html extensions.html \
     install.html

%.html : %.txt
	rst2html.py $< $@

=== debian/changelog ===
twill (0.9-3) unstable; urgency=low

  * Add debian/patches/04_fix_deprecated_ClientForm.patch as ClientForm
    is now shipped with mechanize.
    + debian/rules:
      - Drop Depends on python-clientform.
    + debian/control:
      - Bump python-mechanize Depends to >= 0.2.0~.
  * debian/patches/02_remove_ext.patch:
    + Fix tests as well.
  * Add debian/patches/05_fix_missing_imports.patch.
  * debian/control:
    + Bump Standards-Version to 3.9.2. No changes needed.
  * Switch from now deprecated pysupport to dh_python2.
    + Drop debian/pyversions and debian/pycompat.
    + debian/rules:
      - Remove DEB_PYTHON_SYSTEM.
    + debian/control:
      - Add X-Python-Version field.
      - Bump python and cdbs versions.

 -- Arnaud Fontaine <arnau@debian.org>  Sun, 04 Dec 2011 23:35:55 +0900

twill (0.9-2) unstable; urgency=low

  * debian/control:
    + Replace python-dev by python in Build-Depends.
    + Bump Standards-Version to 3.8.4. No changes needed.
    + Drop now useless debian/README.source.
  * debian/copyright:
    + Update copyright years.
  * Switch to dpkg-source 3.0 (quilt) format.
    + Remove Build-Depends on quilt in debian/control.
    + Remove include of patchsys-quilt.mk in debian/rules.

 -- Arnaud Fontaine <arnau@debian.org>  Sun, 16 May 2010 13:52:13 +0100

twill (0.9-1) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New upstream bugfix release.
  * debian/control:
    + Add ${misc:Depends} to Depends in case the result of a call to
      debhelper tools adds extra dependencies.
    + Drop useless Build-Depends on patchutils.
    + Bump Standards-Version to 3.8.0.
      - Add debian/README.source.
  * debian/doc-base:
    + Change the section to Programming.
  * debian/copyright:
    + Update copyright years.
    + Reorganize to make copyright information clearer.

  [ Sandro Tosi ]
  * debian/control:
    - Uniforming Vcs-Browser field.
    - Switch Vcs-Browser field to viewsvn.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 21 Jan 2009 23:54:29 +0000

twill (0.9~b1-2) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New email address.
  * Use quilt patch system instead of simple patchsys.
  * Remove useless debian/control.in.
  * Drop useless dependency on python-setuptools, use distutils instead.
    + Add debian/patches/03_no_setuptools.patch.
  * debian/patches/01_fix_history_path.patch:
    + Check whether HOME environment variable is set before using it.
  * debian/control:
    + Now depend on python-mechanize >= 0.1.7b-2 because it fixes
      #456944.
    + Update Standards-Version to 3.7.3. No changes needed.

  [ Piotr Ożarowski ]
  * Added debian/watch file.
  * Vcs-Svn, Vcs-Browser and Homepage fields added (dpkg support them now).

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 21 Dec 2007 03:04:41 +0000

twill (0.9~b1-1) unstable; urgency=low

  * Initial release. Closes: #387152.

 -- Arnaud Fontaine <arnaud@andesi.org>  Sun, 08 Apr 2007 10:37:43 +0200

=== debian/control ===
Source: twill
Section: python
Priority: optional
Maintainer: Arnaud Fontaine <arnau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5.0.37.2),
               cdbs (>= 0.4.90~),
               python (>= 2.6.6-3~)
Build-Depends-Indep: xsltproc,
                     docbook-xsl,
                     docbook-xml
Standards-Version: 3.9.2
X-Python-Version: >= 2.3
Homepage: http://twill.idyll.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/twill/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/twill/trunk/

Package: python-twill
Architecture: all
Depends: ${python:Depends},
	 ${misc:Depends},
         python-mechanize (>= 0.2.0~),
         python-pyparsing (>= 1.4.1)
Recommends: doc-base
Description: Simple scripting language for Web browsing
 Twill is a simple scripting language intended for programmatic or
 automated browsing of Web sites. It allows users to browse the Web
 from a command-line interface. So, you can navigate through Web sites
 that use forms, cookies, and most standard Web features.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# Don't compress .py files
DEB_COMPRESS_EXCLUDE := .py

# Manpages stuff 
MANPAGES = debian/twill-sh.1 debian/twill-fork.1
XSLT_CMD = xsltproc -nonet
DB2MAN   = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl

%.1: %.dbk
	cd $(<D) && $(XSLT_CMD) $(DB2MAN) $(<F)

install/$(DEB_PYTHON_MODULE_PACKAGE):: $(MANPAGES)

clean::
	-rm -f $(MANPAGES)

=== debian/watch ===
version=3
opts="uversionmangle=s/b/~b/" http://twill.idyll.org/ http://darcs.idyll.org/~t/projects/twill-(.*)\.tar\.gz debian uupdate
